// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reclosermodule/reclosermodule.proto

package openfmb.reclosermodule;

/**
 * <pre>
 * Recloser status
 * </pre>
 *
 * Protobuf type {@code reclosermodule.RecloserStatus}
 */
public final class RecloserStatus extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:reclosermodule.RecloserStatus)
    RecloserStatusOrBuilder {
private static final long serialVersionUID = 0L;
  // Use RecloserStatus.newBuilder() to construct.
  private RecloserStatus(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private RecloserStatus() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new RecloserStatus();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.reclosermodule.Reclosermodule.internal_static_reclosermodule_RecloserStatus_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.reclosermodule.Reclosermodule.internal_static_reclosermodule_RecloserStatus_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.reclosermodule.RecloserStatus.class, openfmb.reclosermodule.RecloserStatus.Builder.class);
  }

  public static final int STATUSVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusValue statusValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  @java.lang.Override
  public boolean hasStatusValue() {
    return statusValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValue getStatusValue() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }

  public static final int STATUSANDEVENTXCBR_FIELD_NUMBER = 2;
  private openfmb.commonmodule.StatusAndEventXCBR statusAndEventXCBR_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   * @return Whether the statusAndEventXCBR field is set.
   */
  @java.lang.Override
  public boolean hasStatusAndEventXCBR() {
    return statusAndEventXCBR_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   * @return The statusAndEventXCBR.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusAndEventXCBR getStatusAndEventXCBR() {
    return statusAndEventXCBR_ == null ? openfmb.commonmodule.StatusAndEventXCBR.getDefaultInstance() : statusAndEventXCBR_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusAndEventXCBROrBuilder getStatusAndEventXCBROrBuilder() {
    return statusAndEventXCBR_ == null ? openfmb.commonmodule.StatusAndEventXCBR.getDefaultInstance() : statusAndEventXCBR_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusValue_ != null) {
      output.writeMessage(1, getStatusValue());
    }
    if (statusAndEventXCBR_ != null) {
      output.writeMessage(2, getStatusAndEventXCBR());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusValue());
    }
    if (statusAndEventXCBR_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getStatusAndEventXCBR());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.reclosermodule.RecloserStatus)) {
      return super.equals(obj);
    }
    openfmb.reclosermodule.RecloserStatus other = (openfmb.reclosermodule.RecloserStatus) obj;

    if (hasStatusValue() != other.hasStatusValue()) return false;
    if (hasStatusValue()) {
      if (!getStatusValue()
          .equals(other.getStatusValue())) return false;
    }
    if (hasStatusAndEventXCBR() != other.hasStatusAndEventXCBR()) return false;
    if (hasStatusAndEventXCBR()) {
      if (!getStatusAndEventXCBR()
          .equals(other.getStatusAndEventXCBR())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusValue()) {
      hash = (37 * hash) + STATUSVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getStatusValue().hashCode();
    }
    if (hasStatusAndEventXCBR()) {
      hash = (37 * hash) + STATUSANDEVENTXCBR_FIELD_NUMBER;
      hash = (53 * hash) + getStatusAndEventXCBR().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.reclosermodule.RecloserStatus parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.reclosermodule.RecloserStatus parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.reclosermodule.RecloserStatus parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.reclosermodule.RecloserStatus prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Recloser status
   * </pre>
   *
   * Protobuf type {@code reclosermodule.RecloserStatus}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:reclosermodule.RecloserStatus)
      openfmb.reclosermodule.RecloserStatusOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.reclosermodule.Reclosermodule.internal_static_reclosermodule_RecloserStatus_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.reclosermodule.Reclosermodule.internal_static_reclosermodule_RecloserStatus_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.reclosermodule.RecloserStatus.class, openfmb.reclosermodule.RecloserStatus.Builder.class);
    }

    // Construct using openfmb.reclosermodule.RecloserStatus.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      statusAndEventXCBR_ = null;
      if (statusAndEventXCBRBuilder_ != null) {
        statusAndEventXCBRBuilder_.dispose();
        statusAndEventXCBRBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.reclosermodule.Reclosermodule.internal_static_reclosermodule_RecloserStatus_descriptor;
    }

    @java.lang.Override
    public openfmb.reclosermodule.RecloserStatus getDefaultInstanceForType() {
      return openfmb.reclosermodule.RecloserStatus.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.reclosermodule.RecloserStatus build() {
      openfmb.reclosermodule.RecloserStatus result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.reclosermodule.RecloserStatus buildPartial() {
      openfmb.reclosermodule.RecloserStatus result = new openfmb.reclosermodule.RecloserStatus(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.reclosermodule.RecloserStatus result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusValue_ = statusValueBuilder_ == null
            ? statusValue_
            : statusValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.statusAndEventXCBR_ = statusAndEventXCBRBuilder_ == null
            ? statusAndEventXCBR_
            : statusAndEventXCBRBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.reclosermodule.RecloserStatus) {
        return mergeFrom((openfmb.reclosermodule.RecloserStatus)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.reclosermodule.RecloserStatus other) {
      if (other == openfmb.reclosermodule.RecloserStatus.getDefaultInstance()) return this;
      if (other.hasStatusValue()) {
        mergeStatusValue(other.getStatusValue());
      }
      if (other.hasStatusAndEventXCBR()) {
        mergeStatusAndEventXCBR(other.getStatusAndEventXCBR());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getStatusAndEventXCBRFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusValue statusValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> statusValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusValue field is set.
     */
    public boolean hasStatusValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusValue.
     */
    public openfmb.commonmodule.StatusValue getStatusValue() {
      if (statusValueBuilder_ == null) {
        return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      } else {
        return statusValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusValue_ = value;
      } else {
        statusValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(
        openfmb.commonmodule.StatusValue.Builder builderForValue) {
      if (statusValueBuilder_ == null) {
        statusValue_ = builderForValue.build();
      } else {
        statusValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusValue_ != null &&
          statusValue_ != openfmb.commonmodule.StatusValue.getDefaultInstance()) {
          getStatusValueBuilder().mergeFrom(value);
        } else {
          statusValue_ = value;
        }
      } else {
        statusValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValue.Builder getStatusValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
      if (statusValueBuilder_ != null) {
        return statusValueBuilder_.getMessageOrBuilder();
      } else {
        return statusValue_ == null ?
            openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> 
        getStatusValueFieldBuilder() {
      if (statusValueBuilder_ == null) {
        statusValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder>(
                getStatusValue(),
                getParentForChildren(),
                isClean());
        statusValue_ = null;
      }
      return statusValueBuilder_;
    }

    private openfmb.commonmodule.StatusAndEventXCBR statusAndEventXCBR_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusAndEventXCBR, openfmb.commonmodule.StatusAndEventXCBR.Builder, openfmb.commonmodule.StatusAndEventXCBROrBuilder> statusAndEventXCBRBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     * @return Whether the statusAndEventXCBR field is set.
     */
    public boolean hasStatusAndEventXCBR() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     * @return The statusAndEventXCBR.
     */
    public openfmb.commonmodule.StatusAndEventXCBR getStatusAndEventXCBR() {
      if (statusAndEventXCBRBuilder_ == null) {
        return statusAndEventXCBR_ == null ? openfmb.commonmodule.StatusAndEventXCBR.getDefaultInstance() : statusAndEventXCBR_;
      } else {
        return statusAndEventXCBRBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public Builder setStatusAndEventXCBR(openfmb.commonmodule.StatusAndEventXCBR value) {
      if (statusAndEventXCBRBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusAndEventXCBR_ = value;
      } else {
        statusAndEventXCBRBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public Builder setStatusAndEventXCBR(
        openfmb.commonmodule.StatusAndEventXCBR.Builder builderForValue) {
      if (statusAndEventXCBRBuilder_ == null) {
        statusAndEventXCBR_ = builderForValue.build();
      } else {
        statusAndEventXCBRBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public Builder mergeStatusAndEventXCBR(openfmb.commonmodule.StatusAndEventXCBR value) {
      if (statusAndEventXCBRBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          statusAndEventXCBR_ != null &&
          statusAndEventXCBR_ != openfmb.commonmodule.StatusAndEventXCBR.getDefaultInstance()) {
          getStatusAndEventXCBRBuilder().mergeFrom(value);
        } else {
          statusAndEventXCBR_ = value;
        }
      } else {
        statusAndEventXCBRBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public Builder clearStatusAndEventXCBR() {
      bitField0_ = (bitField0_ & ~0x00000002);
      statusAndEventXCBR_ = null;
      if (statusAndEventXCBRBuilder_ != null) {
        statusAndEventXCBRBuilder_.dispose();
        statusAndEventXCBRBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public openfmb.commonmodule.StatusAndEventXCBR.Builder getStatusAndEventXCBRBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getStatusAndEventXCBRFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    public openfmb.commonmodule.StatusAndEventXCBROrBuilder getStatusAndEventXCBROrBuilder() {
      if (statusAndEventXCBRBuilder_ != null) {
        return statusAndEventXCBRBuilder_.getMessageOrBuilder();
      } else {
        return statusAndEventXCBR_ == null ?
            openfmb.commonmodule.StatusAndEventXCBR.getDefaultInstance() : statusAndEventXCBR_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusAndEventXCBR, openfmb.commonmodule.StatusAndEventXCBR.Builder, openfmb.commonmodule.StatusAndEventXCBROrBuilder> 
        getStatusAndEventXCBRFieldBuilder() {
      if (statusAndEventXCBRBuilder_ == null) {
        statusAndEventXCBRBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusAndEventXCBR, openfmb.commonmodule.StatusAndEventXCBR.Builder, openfmb.commonmodule.StatusAndEventXCBROrBuilder>(
                getStatusAndEventXCBR(),
                getParentForChildren(),
                isClean());
        statusAndEventXCBR_ = null;
      }
      return statusAndEventXCBRBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:reclosermodule.RecloserStatus)
  }

  // @@protoc_insertion_point(class_scope:reclosermodule.RecloserStatus)
  private static final openfmb.reclosermodule.RecloserStatus DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.reclosermodule.RecloserStatus();
  }

  public static openfmb.reclosermodule.RecloserStatus getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<RecloserStatus>
      PARSER = new com.google.protobuf.AbstractParser<RecloserStatus>() {
    @java.lang.Override
    public RecloserStatus parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<RecloserStatus> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<RecloserStatus> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.reclosermodule.RecloserStatus getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

